package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/8/10.
 * 普通商户模式
 */
@Data
public class WxTransferP {
    private String mch_id;              // 商户号
    private String partner_trade_no;    // 商户企业付款单号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String enc_bank_no;         // 收款方银行卡号
    private String enc_true_name;       // 收款方用户名
    private String bank_code;           // 收款方开户行
    private Integer amount;             // 付款金额 ：RMB分（支付总额，不含手续费） //建议先扣掉手续费
    private String desc;                // 付款说明

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxTransferP {");
        sb.append("mch_id='").append(mch_id).append('\'');
        sb.append(", partner_trade_no='").append(partner_trade_no).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", enc_bank_no='").append(enc_bank_no).append('\'');
        sb.append(", enc_true_name='").append(enc_true_name).append('\'');
        sb.append(", bank_code='").append(bank_code).append('\'');
        sb.append(", amount=").append(amount);
        sb.append(", desc='").append(desc).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
